Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.action
Class PasteAction

    java.lang.Object
      net.sourceforge.jsxe.LocalizedAction
          net.sourceforge.jsxe.action.PasteAction

public class PasteAction
extends LocalizedAction

The paste action invokes a DocumentView specific action defined for paste. The action should be defined by the view as viewname.paste

Since:
  jsXe 0.5 pre1
Version:
  $Id$
Author:
  Ian Lewis (IanLewis@member.fsf.org)

Field Summary

Fields inherited from class net.sourceforge.jsxe.LocalizedAction
`INTERNAL_NAME, MESSAGE_NAME, NAME, TOOLTIP_MESSAGE_NAME`

Constructor Summary
`PasteAction()`

Method Summary
`String` | `getLabel()` Gets the human readable localized label for this action.
`void` | `invoke(TabbedView view, ActionEvent evt)` The method that is run when the action is invoked.

Methods inherited from class net.sourceforge.jsxe.LocalizedAction
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasteAction

    public PasteAction()

Method Detail

### getLabel

    public String getLabel()

  Description copied from class: `LocalizedAction`
  Gets the human readable localized label for this action. This returns the value of the property named by `LocalizedAction.getName()` suffixed with `.label`.

  Overrides:
    `getLabel` in class `LocalizedAction`
  Returns:
    the localized label
  See Also:
    `Messages`

### invoke

    public void invoke(TabbedView view,
                       ActionEvent evt)

  Description copied from class: `LocalizedAction`
  The method that is run when the action is invoked.

  Specified by:
    `invoke` in class `LocalizedAction`
  Parameters:
    `view` - the view that invoked the action.
    `evt` - the ActionEvent for this event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD